diff -Naur bandwidthd.orig/bandwidthd-2.0.1+cvs20090917/debian/changelog bandwidthd/bandwidthd-2.0.1+cvs20090917/debian/changelog 
--- bandwidthd.orig/bandwidthd-2.0.1+cvs20090917/debian/changelog	2014-08-04 14:52:35.551971243 -0500
+++ bandwidthd/bandwidthd-2.0.1+cvs20090917/debian/changelog	2014-08-04 14:58:56.311977874 -0500
@@ -1,3 +1,12 @@
+bandwidthd (2.0.1+cvs20090917-8) unstable; urgency=low
+
+  * Fix FTBFS with clang
+    - Fixed undefined reference error in
+      bandwidthd.c
+      bandwidthd.h
+
+ -- Arthur Marble <arthur@info9.net>  Mon, 04 Aug 2014 14:58:56 -0500
+
 bandwidthd (2.0.1+cvs20090917-7) unstable; urgency=low
 
   * Move php5-gd to Recommends and also recommend php5 (Closes: #717042)
diff -Naur bandwidthd.orig/bandwidthd-2.0.1+cvs20090917/debian/patches/clang-ftgfs.diff bandwidthd/bandwidthd-2.0.1+cvs20090917/debian/patches/clang-ftbfs.diff 
--- bandwidthd.orig/bandwidthd-2.0.1+cvs20090917/debian/patches/clang-ftgfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ bandwidthd/bandwidthd-2.0.1+cvs20090917/debian/patches/clang-ftbfs.diff	2014-08-04 14:55:39.835974452 -0500
@@ -0,0 +1,22 @@
+--- a/bandwidthd.h
++++ b/bandwidthd.h
+@@ -225,7 +225,7 @@ void RecoverDataFromCDF(void);
+ void MonitorSubnet(unsigned int ip, unsigned int mask);
+ 
+ // ************ This function converts and IP to a char string
+-char inline 	*HostIp2CharIp(unsigned long ipaddr, char *buffer);
++char 	        *HostIp2CharIp(unsigned long ipaddr, char *buffer);
+ 
+ // ************ This function converts the numbers for each quad into an IP
+ inline uint32_t IpAddr(unsigned char q1, unsigned char q2, unsigned char q3, unsigned char q4);
+--- a/bandwidthd.c
++++ b/bandwidthd.c
+@@ -1276,7 +1276,7 @@ inline struct IPData *FindIp(uint32_t ip
+ 
+ size_t ICGrandTotalDataPoints = 0;
+ 
+-char inline *HostIp2CharIp(unsigned long ipaddr, char *buffer)
++char *HostIp2CharIp(unsigned long ipaddr, char *buffer)
+     {
+ 	struct in_addr in_addr;
+ 	char *s;
diff -Naur bandwidthd.orig/bandwidthd-2.0.1+cvs20090917/debian/patches/series bandwidthd/bandwidthd-2.0.1+cvs20090917/debian/patches/series 
--- bandwidthd.orig/bandwidthd-2.0.1+cvs20090917/debian/patches/series	2014-08-04 14:52:35.551971243 -0500
+++ bandwidthd/bandwidthd-2.0.1+cvs20090917/debian/patches/series	2014-08-04 14:53:03.831971735 -0500
@@ -9,3 +9,4 @@
 0009-Make-HTML-output-valid-and-prevent-sql-injection-in-.patch
 0010-Add-proper-script-header-and-use-for-loop-since-echo.patch
 0011-Fetch-database-credentials-from-external-file.patch
+clang-ftbfs.diff
